Subject: Re: bug#18451: 24.4.50; 'toggle-frame-fullscreen' can cut off minibuffer

From: martin rudalics <[email-masked]>
Date: Thu, 18 Sep 2014 11:32:48 +0200

>> Does (setq frame-resize-pixelwise t) change anything?
 >
 > I'm afraid not. I'm still seeing the bug after evaluating this form.

Just for the record, even if you eval the form when startin Emacs?

 > Hm, sorry I think there was a problem in my original trace, I've given
 > it another shot.
 >
 > Here is a bug-free trace:
 >
 > Received ConfigureNotify event for frame: 0x6781b0
 > Received ConfigureNotify event for frame: 0x6781b0
 > Received ConfigureNotify event for frame: (nil)
 > xg_frame_resized(0x6781b0, 1366, 768);
 > configure_frame_size(0x6781b0, 1350, 768, 330584, 1, 0, 1);
 > configure_frame_size(0x6781b0, 1350, 768, 330584, 0, 0, 1);
 > Received ConfigureNotify event for frame: 0x6781b0
 >
 >
 > And a buggy-trace:
 >
 > Received ConfigureNotify event for frame: 0x6781b0
 > Received ConfigureNotify event for frame: (nil)
 > xg_frame_resized(0x6781b0, 1366, 768);
 > configure_frame_size(0x6781b0, 1350, 768, 330584, 1, 0, 1);
 > configure_frame_size(0x6781b0, 1350, 768, 330584, 0, 0, 1);
 > Received ConfigureNotify event for frame: 0x6781b0
 > Received ConfigureNotify event for frame: 0x6781b0

Sorry, I somehow lost the initial part of this thread.  These two traces
don't document any affect on the minibuffer - the heights (768) are
always the same.  What does `configure_frame_size' stand for?  Are the
traces here in chronological order or reversed?  And how do you get a
ConfigureNotify event for a frame `nil'?

martin